Description

It seems there is a problem with nested joins.

By nested joins, I mean layer A is joined to B which itself is joined to c, then D etc.

What I expected when I open the attribute table of layer A is to get all the attributes.

They would named in QGIS:

A_attrs | A_B_attrs | A_B_C_attrs | A_B_C_D_attrs

I set up a small project to test this.

In my setup, only the attributes of the first join layer are shown (B in A, C in B, D in C).

But, when trying this with Andreas yesterday, all attributes column where shown, but some were filled with NULL values.

Associated revisions

Revision 071a5ec0 - 2014-09-09 03:17 PM - Martin Dobias

Fix #10912 (joined attributes are not correctly propagated in nested joins)

This commit makes QgsVectorLayerJoinBuffer listen to changes in fields

of joined vector layers in order to update the cache and inform parent layer

History

#1 - 2014-07-21 08:10 AM - Giovanni Manghi

- Subject changed from joined attributes are not (coorectly) propagated in nested joins to joined attributes are not (correctly) propagated in nested joins

#2 - 2014-07-21 01:18 PM - Denis Rouzaud

- Assignee set to Martin Dobias

#3 - 2014-09-09 06:19 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"071a5ec0c528f886bc7875c43c9e2260191a432c".

Files

test_join.sql 1.58 KB 2014-07-18 Denis Rouzaud

project.qgs 31.1 KB 2014-07-18 Denis Rouzaud

2025-04-27 1/1


